from src.detections import Detection
from typing import Optional, List, Type
from abc import ABC, abstractmethod

class MorphosyntacticDictionary(ABC):
    @abstractmethod
    def get_supported_detection_classes(self) -> List[Type[Detection]]:
        """
        Returns a list of supported detection classess
        """
        pass

    def get_random_replacement(self, original_entry: Detection) -> Optional[str]:
        """
        Returns a random replacement for the original entry
        """
        pass
