from abc import ABC, abstractmethod

class Pipeline(ABC):
    @abstractmethod
    def run(self, input_path) -> str:
        """Run the whole anonymization pipeline on the input file and output the result.

        Args:
            input_path (_type_): Path to the input file.

        Returns:
            str: Anonymized text. 
        """
        pass
